package com.jpsoft.shinestar.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.base.entity.MessageReceiver;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface MessageReceiverService {
	MessageReceiver get(String id);
	boolean exist(String id);
	int insert(MessageReceiver model);
	int update(MessageReceiver model);
	int delete(String id);
	List<MessageReceiver> list();
	Page<MessageReceiver> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);
	int countUnReadByPersonIdAndType(Long personId, String value);
	Page<MessageReceiver> messagePageSearch(Map<String, Object> searchParams, int pageIndex, int pageSize, boolean count, List<Sort> sortList);
	MessageReceiver findByMessageIdAndPersonId(String messageId, Long personId);
}